Subject: [Roadsters] Body weight

From: Pat Horne via Datsun-roadsters <[email-masked]>
Date: Mon, 18 May 2020 11:35:47 -0500

I just met with the guy who is going to do the bodywork on my 67.5. It is stripped to the body & frame & he wants to lift the body off the frame. 

We will brace the door openings but I am concerned about lifting the body. I have an electric chain hoist on a beam in my shop but I don’t know if it is strong enough. It’s rated for 500 lbs. will this work or should we pick up a couple cable come alongs to do the actual lifting? 

Suggestions? Thoughts?

Peace,
Pat

Pat Horne 
We support Habitat for Humanity

________________________________________

[email-masked]

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/datsun-roadsters http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/datsun-roadsters/[email-masked]